std::piecewise_linear_distribution< _RealType > Class Template Reference
Poisson Distributions

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

template<typename _InputIteratorB , typename _InputIteratorW >
| piecewise_linear_distribution (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
template<typename _Func >
| piecewise_linear_distribution (initializer_list< _RealType > __bl, _Func __fw)
template<typename _Func >
| piecewise_linear_distribution (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
| piecewise_linear_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
std::vector< double > | densities () const
std::vector< _RealType > | intervals () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
piecewise_linear_distribution < _RealType >::result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__param)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::piecewise_linear_distribution< _RealType1 > &__x)
bool | operator== (const piecewise_linear_distribution &__d1, const piecewise_linear_distribution &__d2)
template<typename _RealType1 , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::piecewise_linear_distribution< _RealType1 > &__x)

## Detailed Description

### template<typename _RealType = double>
class std::piecewise_linear_distribution< _RealType >

A piecewise_linear_distribution random number distribution.

The formula for the piecewise linear probability mass function is

Definition at line 5748 of file random.h.

## Member Typedef Documentation

template<typename _RealType = double>

typedef _RealType std::piecewise_linear_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 5751 of file random.h.

## Member Function Documentation

template<typename _RealType = double>

std::vector<double> std::piecewise_linear_distribution< _RealType >::densities | ( |  | ) | const

inline

Return a vector of the probability densities of the distribution.

Definition at line 5872 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

template<typename _RealType = double>

std::vector<_RealType> std::piecewise_linear_distribution< _RealType >::intervals | ( |  | ) | const

inline

Return the intervals of the distribution.

Definition at line 5855 of file random.h.

References std::vector< _Tp, _Alloc >::empty().

template<typename _RealType = double>

result_type std::piecewise_linear_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 5907 of file random.h.

References std::vector< _Tp, _Alloc >::back(), and std::vector< _Tp, _Alloc >::empty().

template<typename _RealType = double>

result_type std::piecewise_linear_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 5897 of file random.h.

References std::vector< _Tp, _Alloc >::empty(), and std::vector< _Tp, _Alloc >::front().

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::piecewise_linear_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 5918 of file random.h.

References std::piecewise_linear_distribution< _RealType >::operator()().

Referenced by std::piecewise_linear_distribution< _RealType >::operator()().

template<typename _RealType = double>

param_type std::piecewise_linear_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 5882 of file random.h.

template<typename _RealType = double>

void std::piecewise_linear_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 5890 of file random.h.

template<typename _RealType = double>

void std::piecewise_linear_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 5848 of file random.h.

## Friends And Related Function Documentation

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::piecewise_linear_distribution< _RealType1 > & | __x
| ) |  |

friend

Inserts a piecewise_linear_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A piecewise_linear_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

template<typename _RealType = double>

bool operator== | ( | const piecewise_linear_distribution< _RealType > & | __d1,
|  | const piecewise_linear_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two piecewise linear distributions have the same parameters.

Definition at line 5953 of file random.h.

template<typename _RealType = double>
template<typename _RealType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::piecewise_linear_distribution< _RealType1 > & | __x
| ) |  |

friend

Extracts a piecewise_linear_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A piecewise_linear_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc